Package org.apache.synapse.transport.netty.sender

## Class Axis2HttpTargetRespListener

- java.lang.Object
- - org.apache.synapse.transport.netty.sender.Axis2HttpTargetRespListener

- All Implemented Interfaces:
    `org.wso2.transport.http.netty.contract.HttpConnectorListener`

      public class Axis2HttpTargetRespListener
      extends Object
      implements org.wso2.transport.http.netty.contract.HttpConnectorListener

  `Axis2HttpTargetRespListener` listens for the response expected for the sent request.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Axis2HttpTargetRespListener​(org.apache.axis2.transport.base.threads.WorkerPool workerPool, org.apache.axis2.context.MessageContext requestMsgContext, TargetConfiguration targetConfiguration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onError​(Throwable throwable)` |
    `void` | `onMessage​(org.wso2.transport.http.netty.message.HttpCarbonMessage httpResponse)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wso2.transport.http.netty.contract.HttpConnectorListener

      `onPushPromise, onPushResponse`

- - ### Constructor Detail

    - #### Axis2HttpTargetRespListener

          public Axis2HttpTargetRespListener​(org.apache.axis2.transport.base.threads.WorkerPool workerPool,
                                             org.apache.axis2.context.MessageContext requestMsgContext,
                                             TargetConfiguration targetConfiguration)

  - ### Method Detail

    - #### onMessage

          public void onMessage​(org.wso2.transport.http.netty.message.HttpCarbonMessage httpResponse)

      Specified by:
        `onMessage` in interface `org.wso2.transport.http.netty.contract.HttpConnectorListener`

    - #### onError

          public void onError​(Throwable throwable)

      Specified by:
        `onError` in interface `org.wso2.transport.http.netty.contract.HttpConnectorListener`